<?php 

// connection à la base de donn&eacutees
try 
{ 
	// On se connecte à MySQL 
	$bdd = new PDO('mysql:host=localhost;dbname=test', 'root', ''); 
} 
catch(Exception $e) 
{ 
    // En cas d'erreur, on affiche un message et on arrête tout 
        die('Erreur : '.$e->getMessage()); 
} 

 
$reponse = $bdd->query('SELECT valeur, DATE_FORMAT(date,\'%d %b %Y à %Hh%i \') AS date FROM temp ORDER BY date DESC LIMIT 0, 194'); 

/* Include all the classes */
include("class/pDraw.class.php");
include("class/pImage.class.php");
include("class/pData.class.php");

/* Create the pData object */
$myData = new pData();  

?>
<!DOCTYPE html>
<html> 
   <head> 
      <title>données</title> 
	<meta http-equiv="refresh" content="60"/> 
	<meta charset="utf-8" />
        <link rel="stylesheet" href="style.css" />
   </head> 
<body> 
   <h1>Acquisition de données: arduino + ethernet shield + Mysql + Php</h1> 
	<br/>


<?php 
	
	$ind=0;
	$i=0;
	while ($donnees = $reponse->fetch()) 
	{ 
		/* Get the data from the query result */
		if ($i==0)
		{  
			$date = $donnees["date"];
			$i=$i+1;		
		}
		else {
			$date = "";
			if ($i==3) { $i=0;}
			else {$i=$i+1;}
		} 
	
		  $valeur = $donnees["valeur"];
		 
		  /* Save the data in the pData array */
		  $myData->addPoints($date,"Date");
		  $myData->addPoints($valeur,"valeur");
		if ($ind==0) { $lastdate=$donnees["date"];
			$lastvaleur = $donnees["valeur"];}
		 $ind=$ind+1; 
		} 
		

?>
		<h4> Dernière mesure:  <span class="donnee3">
	   
		<?php echo $lastdate; ?></span> : <span class="donnee"> <?php echo $lastvaleur; ?> °C  
	    </span></h4>
<h4> La courbe des dernières mesures <span class="donnee2"> (si la courbe ne s'affiche pas il faut réactualiser la page): </span></h4> 

<?php 
	$reponse->closeCursor(); // Termine le traitement de la requête 


		/* Put the timestamp column on the abscissa axis */
		$myData->setAbscissa("Date");	

		/* First Y axis will be dedicated to the temperatures */
		$myData->setAxisName(0,"valeur");
		$myData->setAxisUnit(0,"°C");
		$myData->setAxisDisplay(0,AXIS_FORMAT_DEFAULT);

		/* Create a pChart object and associate your dataset */
		$myPicture = new pImage(1000,400,$myData);

		/* Define the boundaries of the graph area */
		$myPicture->setGraphArea(60,40,960,260);

		/* Choose a nice font */
		$myPicture->setFontProperties(array("FontName"=>"fonts/verdana.ttf","FontSize"=>7));

		/* Draw the scale, keep everything automatic */
		//$myPicture->drawScale();
 //and SCALE_POS_TOPBOTTOM
		//$myPicture->drawScale(array("DrawSubTicks"=>TRUE,"DrawArrows"=>TRUE,"ArrowSize"=>6,"Pos"=>SCALE_POS_LEFTRIGHT));
/* Draw the scale */
		$scaleSettings = array('LabelRotation'=>90, "DrawArrows"=>TRUE,"ArrowSize"=>6,"XMargin"=>3,"YMargin"=>3,"Floating"=>TRUE,"GridR"=>200,"GridG"=>200,"GridB"=>200,"DrawSubTicks"=>TRUE,"CycleBackground"=>TRUE);
		$myPicture->drawScale($scaleSettings);


		// points rouges avec valeurs
		//$myPicture->drawPlotChart(array("DisplayValues"=>FALSE,"PlotBorder"=>TRUE,"BorderSize"=>1,"Surrounding"=>60,"BorderAlpha"=>40));

		/* Draw the scale, keep everything automatic */
		$myPicture->drawSplineChart();


		/* Je crée une bordure à mon image */
		 $myPicture->drawRectangle(0,0,999,389,array("R"=>255,"G"=>0,"B"=>0));

		/* Build the PNG file and send it to the web browser */
		$myPicture->Render("basic.png");

      ?> 

<p> 
	   <img src="basic.png" /> 
		 
	    </p> 

</body>
</html>

